> For the complete documentation index, see [llms.txt](https://docs.simpleokr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.simpleokr.com/developer-api/api-reference/teams.md).

# Teams

### The Team object

| Attribute   | Type   | Description                                      |
| ----------- | ------ | ------------------------------------------------ |
| id          | string | Unique team identifier                           |
| name        | string | Team name                                        |
| created\_at | string | Time when the team was created. RFC 3339 format. |

Example:

```javascript
{
  "id": "16682617-f25d-4df2-9f51-3c38298996b8",
  "name": "Product Engineering",
  "created_at": "2018-02-20T12:32:56Z"
}
```

## Create Team

<mark style="color:green;">`POST`</mark> `https://api.simpleokr.com/v1/teams`

Create a new Team object.

#### Request Body

| Name | Type   | Description      |
| ---- | ------ | ---------------- |
| name | string | Name of the team |

{% tabs %}
{% tab title="200 On success, a new Team object is returned." %}

```javascript
{
  "id": "16682617-f25d-4df2-9f51-3c38298996b8",
  "name": "Product Engineering",
  "created_at": "2018-02-20T12:32:56Z"
}
```

{% endtab %}
{% endtabs %}

## List Teams

<mark style="color:blue;">`GET`</mark> `https://api.simpleokr.com/v1/teams`

Returns a list of your teams.

#### Query Parameters

| Name        | Type   | Description |
| ----------- | ------ | ----------- |
| page\_token | string | Page number |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "next_page_token": null,
  "teams": [
    {
      "id": "16682617-f25d-4df2-9f51-3c38298996b8",
      "name": "Product Engineering",
      "created_at": "2018-02-20T12:32:56Z"
    },
    {...},
    {...}
  ]
}
```

{% endtab %}
{% endtabs %}

## Retrieve Team

<mark style="color:blue;">`GET`</mark> `https://api.simpleokr.com/v1/teams/:id`

Retrieve details about the existing Team. Supply the unique Team ID from either a team creation response or team list response.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Team ID     |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "id": "16682617-f25d-4df2-9f51-3c38298996b8",
  "name": "Product Engineering",
  "created_at": "2018-02-20T12:32:56Z"
}
```

{% endtab %}
{% endtabs %}

## Update Team

<mark style="color:green;">`POST`</mark> `https://api.simpleokr.com/v1/teams/:id`

Update details of an existing team

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Team ID     |

#### Request Body

| Name | Type   | Description   |
| ---- | ------ | ------------- |
| name | string | New team name |

{% tabs %}
{% tab title="200 Responds with an updated Team object." %}

```javascript
{
  "id": "16682617-f25d-4df2-9f51-3c38298996b8",
  "name": "Product Engineering",
  "created_at": "2018-02-20T12:32:56Z"
}
```

{% endtab %}
{% endtabs %}

## Delete Team

<mark style="color:red;">`DELETE`</mark> `https://api.simpleokr.com/v1/teams/:id`

Delete an existing Team.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.simpleokr.com/developer-api/api-reference/teams.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
